// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class ApproveClearingOperationByPartitionRequest extends ValidatedRequest {
    securityId;
    partitionId;
    targetId;
    clearingId;
    clearingOperationType;
    constructor({ securityId, partitionId, targetId, clearingId, clearingOperationType, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            partitionId: FormatValidation.checkBytes32Format(),
            clearingId: FormatValidation.checkNumber({ min: 0 }),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.partitionId = partitionId;
        this.targetId = targetId;
        this.clearingId = clearingId;
        this.clearingOperationType = clearingOperationType;
    }
}
